Subject: Re: [PATCH V2 net-next 5/7] rds: zerocopy Tx support.

From: Sowmini Varadhan <[email-masked]>
Date: Wed, 14 Feb 2018 19:09:33 -0500

On (02/14/18 18:48), Willem de Bruijn wrote:
> 
> If the missing break is intentional, no need to respin just for the other
> minor comments.

yes the missing break is intentional-  the function returns the
size of the scatterlist needed for RDMA, and RDS_CMSG_ZCOPY_COOKIE
(like RDMA_DEST and RDMA_MAP) is meta-data that does not change
that size.

I expect to be in the neighborhood of this  code pretty soon, to get
the additional opimization of passing up the zcopy completion
as part of recvmsg (see the discussion in
https://www.mail-archive.com/[email-masked]/msg212788.html)
 
I can take care of the other code-cleanup comment suggestions in
here at that time..

--Sowmini